Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ComplexKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap

    public class ComplexKeyHashMap
    extends Object

Nested Class Summary
`static class` | `ComplexKeyHashMap.Entry`
`interface` | `ComplexKeyHashMap.EntryIterator`

Field Summary
`protected static int` | `DEFAULT_CAPACITY`
`protected static int` | `MAXIMUM_CAPACITY`
`protected static int` | `MINIMUM_CAPACITY`
`protected int` | `size`
`protected Entry[]` | `table`
`protected int` | `threshold`

Method Summary
`def` | `ComplexKeyHashMap()`
`def` | `ComplexKeyHashMap(boolean b)`
`def` | `ComplexKeyHashMap(int expectedMaxSize)`
`void` | `clear()`
`ComplexKeyHashMap.EntryIterator` | `getEntrySetIterator()`
`def` | `getTable()`
`static int` | `hash(int h)`
`void` | `init(int initCapacity)`
`boolean` | `isEmpty()`
`void` | `resize(int newLength)`
`int` | `size()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

### MINIMUM_CAPACITY

    protected static final int MINIMUM_CAPACITY

### size

    protected int size

### table

    protected Entry[] table

### threshold

    protected int threshold

Method Detail

### ComplexKeyHashMap

    public def ComplexKeyHashMap()

### ComplexKeyHashMap

    public def ComplexKeyHashMap(boolean b)

### ComplexKeyHashMap

    public def ComplexKeyHashMap(int expectedMaxSize)

### clear

    public void clear()

### getEntrySetIterator

    public ComplexKeyHashMap.EntryIterator getEntrySetIterator()

### getTable

    public def getTable()

### hash

    public static int hash(int h)

### init

    public void init(int initCapacity)

### isEmpty

    public boolean isEmpty()

### resize

    public void resize(int newLength)

### size

    public int size()

Copyright © 2003-2010 The Codehaus. All rights reserved.